package cn.com.ty.lift.business.emergency.controller;


import cn.com.ty.lift.business.common.RestResult;
import cn.com.ty.lift.business.emergency.dto.RepairCondition;
import cn.com.ty.lift.business.emergency.entity.EmergencyRepair;
import cn.com.ty.lift.business.emergency.service.impl.EmergencyRepairServiceImpl;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 临修记录 前端控制器
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@RestController
@AllArgsConstructor
@RequestMapping("/emergency/emergency-repair")
public class EmergencyRepairController {

    private EmergencyRepairServiceImpl emergencyRepairService;

    /**
     * @description 根据id查找
     * @date 2019/12/6 10:14
     * @param
     * @return
     */
    @PostMapping("findOne")
    public RestResponse findOne(Long id){
        if(null == id || id == 0){
            return RestResult.errParam();
        }
        EmergencyRepair result = emergencyRepairService.getById(id);
        return RestResult.okData(result);
    }

    /**
     * @description 新增急修单
     * @date 2019/12/9 9:43
     * @param
     * @return
     */
    @PostMapping("add")
    public RestResponse add(@RequestBody EmergencyRepair entity){

        if(null == entity){
            return RestResult.errParam();
        }
        boolean result = emergencyRepairService.save(entity);
        if(result){
            return RestResult.okData(result);
        }
        return RestResult.errException();
    }

    /**
     * @description 根据急修单状态分页查询
     * @date 2019/12/9 9:39
     * @param 
     * @return 
     */
    @PostMapping("list")
    public RestResponse list(@RequestBody Page<EmergencyRepair> page, Integer status){
        if(null == status){
            return RestResult.errParam();
        }
        IPage<EmergencyRepair> pagelist = emergencyRepairService.listByStatus(page,status);
        return RestResult.okData(pagelist);
    }

    /**
     * @description 根据条件分页查询
     * @date 2019/12/9 9:39
     * @param 
     * @return 
     */
    @PostMapping("page")
    public RestResponse page(@RequestBody RepairCondition condition){
        IPage<EmergencyRepair> pages = emergencyRepairService.listByCondition(condition);
        
        return RestResult.okData(pages);
    }

}
