package cn.com.ty.lift.business.library.dao.entity;

import lombok.Data;

import java.util.Date;

/**
 * 实体类 - 表：lift_extension
 * @author bieao
 * @since 2019-12-03 14:09:55
 */
@Data
public class LiftExtension {
    /**
     * 电梯ID
     */
    private Long id;

    /**
     * 维保公司ID
     */
    private Long mtCompanyId;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 维保工ID
     */
    private Long workerId;

    /**
     * 首保时间
     */
    private Date firstTime;

    /**
     * 停保日期
     */
    private Date outServiceDate;

    /**
     * 年检日期
     */
    private Date annualInspectionDate;

    /**
     * 行政区划代码
     */
    private String areaCode;

    /**
     * 电梯状态 0：删除，1：停保，2：正常，3：保养中 4：维修中
     */
    private Byte liftStatus;

    /**
     * 是否认证 '0 未认证(默认)； 1是已认证
     */
    private Byte isCertificated;

    /**
     * 是否锁定 0-正常;1-锁定
     */
    private Byte isLocked;

    /**
     * 临时停梯时间
     */
    private Date stopDate;

    /**
     * 维保间隔
     */
    private Byte planInterval;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 设备类型
     */
    private Byte deviceType;
}