package cn.com.ty.lift.enterprise.oa.controller;

import cn.com.ty.lift.enterprise.common.RestResult;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import cn.com.ty.lift.enterprise.oa.service.AttendanceService;
import cn.com.xwy.boot.web.dto.RestResponse;
import cn.hutool.core.util.StrUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * 签到管理
 * Created by Administrator on 2019/11/26.
 */
@Slf4j
@RestController
@RequestMapping("attendance")
public class AttendanceController {
    @Autowired
    private AttendanceService attendanceService;

    /**
     * @description 根据id查找
     * @date 2019/12/6 9:44
     * @param
     * @return
     */
    @PostMapping("findOne")
    public RestResponse<Attendance> findOne(Long id) {
        log.info("id: " + id);
        Attendance entity = attendanceService.getById(id);
        return RestResult.okData(entity);
    }

    /**
     * @description 根据条件查询
     * @date 2019/12/6 9:44
     * @param
     * @return
     */
    @PostMapping("list")
    public RestResponse<List<Attendance>> list(int pageNum, int pageSize, Long mtCompanyId, String name, Date begin, Date end){
        if(StrUtil.isNotBlank(name)){
            name = "%" + name + "%";
        }

        List<Attendance> results = attendanceService.selectByCondition(pageNum,pageSize,mtCompanyId,name,begin,end);
        if(null == results){
            return RestResult.errException();
        }
        return RestResult.okData(results);
    }

}
