package cn.com.ty.lift.system.region.dao.entity.model;

import cn.com.ty.lift.system.region.dao.entity.Region;
import cn.com.xwy.boot.controller.BaseRequestModel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 区域表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RegionReq extends BaseRequestModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ID_WORKER)
    private Long id;

    /**
     * 团队id
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 区域代号
     */
    @TableField("area_code")
    private String areaCode;

    /**
     * 省级行政代码
     */
    @TableField("province_code")
    private String provinceCode;

    /**
     * 城市区域代码
     */
    @TableField("city_code")
    private String cityCode;

    /**
     * 区域名称
     */
    @TableField("area_name")
    private String areaName;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 文员id
     */
    @TableField("clerk")
    private Long clerk;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}

