package cn.com.ty.lift.system.template.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 模板项
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Item implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 模板项id
     */
    @TableId("id")
    private Long id;

    /**
     * 模板id
     */
    @TableField("template_id")
    private Long templateId;

    /**
     * 模板项名
     */
    @TableField("name")
    private String name;

    /**
     * 模板详情
     */
    @TableField("content")
    private String content;

    /**
     * 保养时长 1半月 2季度 3半年 4全年
     */
    @TableField("maintain_duration")
    private Integer maintainDuration;

    /**
     * 电梯类别 1直梯 2扶梯
     */
    @TableField("lift")
    private Integer lift;

    /**
     * 电梯类型 1乘客梯/载货电梯 2液压梯 3扶梯/人行道 4杂物梯
     */
    @TableField("business_type")
    private Integer businessType;

    /**
     * 1机房 2轿顶 3轿厢 4层门 5底坑井道
     */
    @TableField("sort")
    private Integer sort;

//    /**
//     * 1已经保养 2需要更换 0无需保养
//     */
//    @TableField("maintain")
//    private Integer maintain;

//    /**
//     * 引导标识
//     */
//    @TableField("signage")
//    private String signage;


}
